Bug 1912237 - Rebase CSI sidecars for 4.7
Summary: Rebase CSI sidecars for 4.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-04 08:26 UTC by Jan Safranek
Modified: 2021-02-24 15:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:49:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift csi-external-attacher pull 26 0 None closed Bug 1912237: Rebase to v3.1.0 for OCP 4.7 2021-01-11 08:50:11 UTC
Github openshift csi-external-provisioner pull 34 0 None closed Bug 1912237: Rebase to v2.1.0 for OCP 4.7 2021-01-11 08:49:33 UTC
Github openshift csi-external-resizer pull 115 0 None closed Bug 1912237: Rebase to v1.1.0 for OCP 4.7 2021-01-11 08:49:31 UTC
Github openshift csi-external-snapshotter pull 36 0 None closed Bug 1912237: Rebase to v4.0.0 for OCP 4.7 2021-01-11 08:49:33 UTC
Github openshift csi-livenessprobe pull 19 0 None closed Bug 1912237: Rebase to v2.2.0 for OCP 4.7 2021-01-11 08:49:34 UTC
Github openshift csi-node-driver-registrar pull 24 0 None closed Bug 1912237: Rebase to v2.1.0 for OCP 4.7 2021-01-11 08:49:35 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:49:54 UTC

Description Jan Safranek 2021-01-04 08:26:35 UTC
Rebase these CSI sidecars for 4.7:

- external-attacher: https://github.com/openshift/csi-external-attacher/pull/26
- external-provisioner: https://github.com/openshift/csi-external-provisioner/pull/34
- node-driver-registrar: https://github.com/openshift/csi-node-driver-registrar/pull/24
- external-resizer: https://github.com/openshift/csi-external-resizer/pull/115
- external-snapshotter: + snapshot-controller https://github.com/openshift/csi-external-snapshotter/pull/36
- livenessprobe: https://github.com/openshift/csi-livenessprobe/pull/19

Right now, we have Kubernetes 1.19 versions in 4.7. We should rebase to a newer version, if it's available.

Comment 4 Qin Ping 2021-01-14 08:11:01 UTC
Verified with: 4.7.0-0.nightly-2021-01-13-124141

Comment 7 errata-xmlrpc 2021-02-24 15:49:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.